require_relative 'lib/gitlab_release_notes/version'

Gem::Specification.new do |spec|
  spec.name          = "gitlab-release-notes"
  spec.version       = GitlabReleaseNotes::VERSION
  spec.authors       = ["Mostafa Hussein"]
  spec.email         = ["mostafa.hussein91@gmail.com"]

  spec.summary       = %q{Populate GitLab project's release notes based on git commits.}
  spec.description   = %q{Populate GitLab project's release notes based on git commits.}
  spec.homepage      = "https://github.com/mostafahussein/gitlab-release-notes"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")
  spec.add_dependency 'tzinfo', '~> 2.0', '>= 2.0.4'
  spec.add_dependency 'git', '~> 1.8', '>= 1.8.1'
  spec.add_dependency 'gitlab', '~> 4.17'

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/mostafahussein/gitlab-release-notes"
  spec.metadata["changelog_uri"] = "https://github.com/mostafahussein/gitlab-release-notes/blob/main/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables = ["gitlab-release-notes"]
  spec.require_paths = ["lib"]
end
